import theater.*;

import java.awt.Color;

import javax.swing.JColorChooser;


/**
 * ActionHandler-Klasse zur Änderung der Farbe der lebenden Zellen
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (05.10.2009)
 *
 */
public class CellColor extends ActionHandler {
    public void handleAction(Stage stage, Actor solist) {
        Color color = JColorChooser.showDialog(null, "Farbwahl",
                Zelle.getColor());

        if (color != null) {
            Zelle.setColor(color);
        }
    }
}
